<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li class="current"><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="globals.html"><span>All</span></a></li>
      <li><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_vars.html"><span>Variables</span></a></li>
      <li><a href="globals_type.html"><span>Typedefs</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li><a href="globals_defs.html"><span>Defines</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html#index_1"><span>1</span></a></li>
      <li><a href="globals_0x61.html#index_a"><span>a</span></a></li>
      <li><a href="globals_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="globals_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="globals_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="globals_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
      <li class="current"><a href="globals_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="globals_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="globals_0x78.html#index_x"><span>x</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

<h3><a class="anchor" id="index_p">- p -</a></h3><ul>
<li>Mparents
: <a class="el" href="group__m17nCharset.html#gab8f3c2a0d58caa179931151fa64e5eb0">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#gab8f3c2a0d58caa179931151fa64e5eb0">charset.c</a>
</li>
<li>mplist()
: <a class="el" href="group__m17nPlist.html#ga86cff73047b6462271d086f7365782ff">plist.c</a>
, <a class="el" href="group__m17nPlist.html#ga933000e154873f9bfcaa56d976bd259b">m17n-core.h</a>
, <a class="el" href="group__m17nPlist.html#ga933000e154873f9bfcaa56d976bd259b">plist.c</a>
</li>
<li>MPlist
: <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">m17n-core.h</a>
</li>
<li>mplist_add()
: <a class="el" href="group__m17nPlist.html#gaf5d13d2df5af9260356aa415e3965def">m17n-core.h</a>
, <a class="el" href="group__m17nPlist.html#gaf5d13d2df5af9260356aa415e3965def">plist.c</a>
</li>
<li>mplist_copy()
: <a class="el" href="group__m17nPlist.html#ga03cb2253e439ec15d0bbbac6f86f0e37">m17n-core.h</a>
, <a class="el" href="group__m17nPlist.html#ga03cb2253e439ec15d0bbbac6f86f0e37">plist.c</a>
</li>
<li>mplist_deserialize()
: <a class="el" href="group__m17nPlist.html#ga687bcaacf8110e0f60a12c9ebc288b4c">m17n-core.h</a>
</li>
<li>mplist_find_by_key()
: <a class="el" href="group__m17nPlist.html#ga73caf1b7a0082184ff15e1b3e2da8969">m17n-core.h</a>
, <a class="el" href="group__m17nPlist.html#ga73caf1b7a0082184ff15e1b3e2da8969">plist.c</a>
</li>
<li>mplist_find_by_value()
: <a class="el" href="group__m17nPlist.html#gaeb782bf76f84a8620331c8de70d43ba7">plist.c</a>
, <a class="el" href="group__m17nPlist.html#gaeb782bf76f84a8620331c8de70d43ba7">m17n-core.h</a>
</li>
<li>mplist_get()
: <a class="el" href="group__m17nPlist.html#ga2a2f833fccd7b699eb31e5de62cea41b">m17n-core.h</a>
, <a class="el" href="group__m17nPlist.html#ga2a2f833fccd7b699eb31e5de62cea41b">plist.c</a>
</li>
<li>mplist_get_func()
: <a class="el" href="group__m17nPlist.html#ga215ddb45ee970edbee7ff2e2e6bc1e8d">m17n-core.h</a>
, <a class="el" href="group__m17nPlist.html#ga215ddb45ee970edbee7ff2e2e6bc1e8d">plist.c</a>
</li>
<li>mplist_key()
: <a class="el" href="group__m17nPlist.html#ga79d757b26382412e7ea69e914bc06a07">m17n-core.h</a>
, <a class="el" href="group__m17nPlist.html#ga79d757b26382412e7ea69e914bc06a07">plist.c</a>
</li>
<li>mplist_length()
: <a class="el" href="group__m17nPlist.html#ga334646ff9553354f4b041947f000764d">m17n-core.h</a>
, <a class="el" href="group__m17nPlist.html#ga334646ff9553354f4b041947f000764d">plist.c</a>
</li>
<li>mplist_next()
: <a class="el" href="group__m17nPlist.html#ga5c7598c133f6a177a2ad5781fc712f6e">m17n-core.h</a>
, <a class="el" href="group__m17nPlist.html#ga5c7598c133f6a177a2ad5781fc712f6e">plist.c</a>
</li>
<li>mplist_pop()
: <a class="el" href="group__m17nPlist.html#gae05459bfe72a34eefe5a04b4aa75d20a">m17n-core.h</a>
, <a class="el" href="group__m17nPlist.html#gae05459bfe72a34eefe5a04b4aa75d20a">plist.c</a>
</li>
<li>mplist_push()
: <a class="el" href="group__m17nPlist.html#ga20e766b438f42a13bdee803908e6096d">m17n-core.h</a>
, <a class="el" href="group__m17nPlist.html#ga20e766b438f42a13bdee803908e6096d">plist.c</a>
</li>
<li>mplist_put()
: <a class="el" href="group__m17nPlist.html#gafbfabe7a3e97e3dc6968263f61a3bee3">plist.c</a>
, <a class="el" href="group__m17nPlist.html#gafbfabe7a3e97e3dc6968263f61a3bee3">m17n-core.h</a>
</li>
<li>mplist_put_func()
: <a class="el" href="group__m17nPlist.html#gab1654476aef37dbea02c56476353ab8e">plist.c</a>
, <a class="el" href="group__m17nPlist.html#gab1654476aef37dbea02c56476353ab8e">m17n-core.h</a>
</li>
<li>mplist_set()
: <a class="el" href="group__m17nPlist.html#gab343caba712200f5324c12f668f7e6da">plist.c</a>
, <a class="el" href="group__m17nPlist.html#gab343caba712200f5324c12f668f7e6da">m17n-core.h</a>
</li>
<li>mplist_value()
: <a class="el" href="group__m17nPlist.html#ga855f3010b216bcf5f0914553fc034295">plist.c</a>
, <a class="el" href="group__m17nPlist.html#ga855f3010b216bcf5f0914553fc034295">m17n-core.h</a>
</li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
